package com.calculator;

import org.junit.*;

import static org.junit.Assert.assertTrue;

public class SampleTestClass {

    int a = 10;
    int b = 10;

    @BeforeClass
    public static void beforeClass() {
        System.out.println("Static -- Before Class");
    }

    @AfterClass
    public static void afterClass() {
        System.out.println("Static -- After Class");
    }

    @Before
    public void setUp() {
        System.out.println("Before");
    }

    @Test
    public void addTest() {
        int result = new Calculator().add(a, b);
        assertTrue("Passed", result == 20);
    }

    @After
    public void tearDown() {
        System.out.println("After");
    }
}
